MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032441Open CASCADE[OCCT] OCCT:DRAWpublic2021-06-15 17:052021-07-03 14:45
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032441: Draw Harness - command readstl doesn't print error message on failure
DescriptionPassing an invalid file path to readstl command doesn't produce any error message.
Steps To Reproduce
pload MODELING XDE VISUALIZATION
readstl s {c:/work/downloads/AAA.stl}
# KO - no error message
trinfo s
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028840closedbugmaster Data Exchange - rewrite the STL Reader/Writer 

-  Notes
(0102014)
mkrylova (developer)
2021-06-23 18:28

Analysis, Solution Implementation
(0102121)
git (administrator)
2021-06-28 17:17

Branch CR32441 has been created by mkrylova.

SHA-1: 63467b7d3d36c913410fd7ef63d8ae1606ff4cac


Detailed log of new commits:

Author: mkrylova
Date: Wed Jun 23 17:08:56 2021 +0300

    0032441: Draw Harness - command readstl doesn't print error message on failure
    
    - added producing error message when passing an invalid file path
(0102131)
mkrylova (developer)
2021-06-28 18:33

Solution Implementation, Testing
(0102144)
mkrylova (developer)
2021-06-29 11:01

http://jenkins-test-occt.nnov.opencascade.com/view/CR32441-master-MKRYLOVA/view/ALL/ [^]
(0102145)
mkrylova (developer)
2021-06-29 11:01

Patch is ready to review:
- OCCT: CR32441
(0102147)
kgv (developer)
2021-06-29 11:35

Please generate message within RWStl_Reader::Read() instead of Draw command.

+    Message::SendFail() << "Error: document with name " << aFilePath << 
" does not exist";

The message is confusing.
Something like this would be more describable:
> Message::SendFail (TCollection_AsciiString ("Error: file '") + theFile + "' is not found");
(0102158)
git (administrator)
2021-06-29 14:43

Branch CR32441 has been updated by mkrylova.

SHA-1: d51a621d60845c8f07368f303b5ba7fd528741bf


Detailed log of new commits:

Author: mkrylova
Date: Tue Jun 29 14:43:36 2021 +0300

    # kgv remarks

(0102159)
git (administrator)
2021-06-29 14:48

Branch CR32441_1 has been created by mkrylova.

SHA-1: aa9fcbd5059b13b2b691e6baf8305e33cb092240


Detailed log of new commits:

Author: mkrylova
Date: Wed Jun 23 17:08:56 2021 +0300

    0032441: Draw Harness - command readstl doesn't print error message on failure
    
    - added producing error message when passing an invalid file path
(0102166)
mkrylova (developer)
2021-06-29 17:58

Solution Implementation, Testing
(0102181)
mkrylova (developer)
2021-06-30 12:37

http://jenkins-test-occt.nnov.opencascade.com/view/CR32441_1-master-MKRYLOVA/view/ALL/ [^]
(0102242)
bugmaster (administrator)
2021-07-03 11:08

Combination -
OCCT branch : IR-2021-07-02
master SHA - 1f3c5058f27ddcbc23af3b05820e4433bb1009db
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-07-02 SHA - a0de44eb21bec792a53984d50cb770f6679dbbd8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17426.490000000336 / 17457.450000000455 [-0.18%]
Products
Total CPU difference: 11521.170000000124 / 11511.540000000101 [+0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 19263.921875 / 19236.96875 [+0.14%]
Products
Total CPU difference: 12854.34375 / 12832.328125 [+0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0102258)
git (administrator)
2021-07-03 14:45

Branch CR32441 has been deleted by mnt.

SHA-1: d51a621d60845c8f07368f303b5ba7fd528741bf
(0102259)
git (administrator)
2021-07-03 14:45

Branch CR32441_1 has been deleted by mnt.

SHA-1: aa9fcbd5059b13b2b691e6baf8305e33cb092240

- Related Changesets
occt: master 9749af25
Timestamp: 2021-06-23 14:08:56
Author: mkrylova
Committer: bugmaster
Details ] Diff ]
0032441: Draw Harness - command readstl doesn't print error message on failure

- added producing error message when passing an invalid file path
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-15 17:05 kgv New Issue
2021-06-15 17:05 kgv Assigned To => mkrylova
2021-06-15 17:54 kgv Status new => assigned
2021-06-23 18:28 mkrylova Note Added: 0102014
2021-06-28 17:17 git Note Added: 0102121
2021-06-28 18:33 mkrylova Note Added: 0102131
2021-06-29 11:01 mkrylova Note Added: 0102144
2021-06-29 11:01 mkrylova Note Added: 0102145
2021-06-29 11:02 mkrylova Assigned To mkrylova => kgv
2021-06-29 11:02 mkrylova Status assigned => resolved
2021-06-29 11:35 kgv Note Added: 0102147
2021-06-29 11:35 kgv Assigned To kgv => mkrylova
2021-06-29 11:35 kgv Status resolved => assigned
2021-06-29 14:43 git Note Added: 0102158
2021-06-29 14:48 git Note Added: 0102159
2021-06-29 17:58 mkrylova Note Added: 0102166
2021-06-30 12:37 mkrylova Note Added: 0102181
2021-06-30 12:37 mkrylova Assigned To mkrylova => kgv
2021-06-30 12:37 mkrylova Status assigned => resolved
2021-06-30 12:57 kgv Assigned To kgv => bugmaster
2021-06-30 12:57 kgv Status resolved => reviewed
2021-06-30 13:28 kgv Relationship added child of 0028840
2021-06-30 13:28 kgv Product Version 7.5.0 => 7.2.0
2021-07-03 11:08 bugmaster Note Added: 0102242
2021-07-03 11:08 bugmaster Status reviewed => tested
2021-07-03 11:10 bugmaster Test case number => Not required
2021-07-03 11:14 bugmaster Changeset attached => occt master 9749af25
2021-07-03 11:14 bugmaster Status tested => verified
2021-07-03 11:14 bugmaster Resolution open => fixed
2021-07-03 14:45 git Note Added: 0102258
2021-07-03 14:45 git Note Added: 0102259


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker